Index: branches/UKMO/dev_r5107_eorca025_closea/NEMOGCM/NEMO/OPA_SRC/DOM/closea.F90
===================================================================
--- branches/UKMO/dev_r5107_eorca025_closea/NEMOGCM/NEMO/OPA_SRC/DOM/closea.F90	(revision 5535)
+++ branches/UKMO/dev_r5107_eorca025_closea/NEMOGCM/NEMO/OPA_SRC/DOM/closea.F90	(revision 6390)
@@ -36,5 +36,5 @@
    PUBLIC clo_bat      ! routine called in domzgr module
 
-   INTEGER, PUBLIC, PARAMETER          ::   jpncs   = 4      !: number of closed sea
+   INTEGER, PUBLIC, PARAMETER          ::   jpncs   = 10      !: number of closed sea
    INTEGER, PUBLIC, DIMENSION(jpncs)   ::   ncstt            !: Type of closed sea
    INTEGER, PUBLIC, DIMENSION(jpncs)   ::   ncsi1, ncsj1     !: south-west closed sea limits (i,j)
@@ -158,23 +158,53 @@
          CASE ( 025 )                                ! ORCA_R025 extended configuration
             !                                        ! ================================
-            ncsnr(1)   = 1    ; ncstt(1)   = 0               ! Caspian + Aral sea
+            ncsnr(1)   = 1    ; ncstt(1)   = 0               ! Caspian sea
             ncsi1(1)   = 1330 ; ncsj1(1)   = 831
-            ncsi2(1)   = 1400 ; ncsj2(1)   = 981
+            ncsi2(1)   = 1375 ; ncsj2(1)   = 981
             ncsir(1,1) = 1    ; ncsjr(1,1) = 1
             !                                        
-            ncsnr(2)   = 1    ; ncstt(2)   = 0               ! Azov Sea 
-            ncsi1(2)   = 1284 ; ncsj1(2)   = 908
-            ncsi2(2)   = 1304 ; ncsj2(2)   = 933
+            ncsnr(2)   = 1    ; ncstt(2)   = 0               ! Aral sea
+            ncsi1(2)   = 1376 ; ncsj1(2)   = 900
+            ncsi2(2)   = 1400 ; ncsj2(2)   = 981
             ncsir(2,1) = 1    ; ncsjr(2,1) = 1
+            !                                        
+            ncsnr(3)   = 1    ; ncstt(3)   = 0               ! Azov Sea 
+            ncsi1(3)   = 1284 ; ncsj1(3)   = 908
+            ncsi2(3)   = 1304 ; ncsj2(3)   = 933
+            ncsir(3,1) = 1    ; ncsjr(3,1) = 1
             !
-            ncsnr(3)   = 1    ; ncstt(3)   = 0               ! North American Great Lakes  
-            ncsi1(3)   = 781  ; ncsj1(3)   = 870 
-            ncsi2(3)   = 847  ; ncsj2(3)   = 926 
-            ncsir(3,1) = 1    ; ncsjr(3,1) = 1 
+            ncsnr(4)   = 1    ; ncstt(4)   = 0               ! Lake Superior  
+            ncsi1(4)   = 781  ; ncsj1(4)   = 904 
+            ncsi2(4)   = 815  ; ncsj2(4)   = 926 
+            ncsir(4,1) = 1    ; ncsjr(4,1) = 1 
             ! 
-            ncsnr(4)   = 1    ; ncstt(4)   = 0               ! Lake Victoria  
-            ncsi1(4)   = 1274 ; ncsj1(4)   = 672 
-            ncsi2(4)   = 1289 ; ncsj2(4)   = 687 
-            ncsir(4,1) = 1    ; ncsjr(4,1) = 1 
+            ncsnr(5)   = 1    ; ncstt(5)   = 0               ! Lake Michigan
+            ncsi1(5)   = 795  ; ncsj1(5)   = 871             
+            ncsi2(5)   = 813  ; ncsj2(5)   = 905 
+            ncsir(5,1) = 1    ; ncsjr(5,1) = 1 
+            ! 
+            ncsnr(6)   = 1    ; ncstt(6)   = 0               ! Lake Huron part 1
+            ncsi1(6)   = 814  ; ncsj1(6)   = 882             
+            ncsi2(6)   = 825  ; ncsj2(6)   = 905 
+            ncsir(6,1) = 1    ; ncsjr(6,1) = 1 
+            ! 
+            ncsnr(7)   = 1    ; ncstt(7)   = 0               ! Lake Huron part 2
+            ncsi1(7)   = 826  ; ncsj1(7)   = 889             
+            ncsi2(7)   = 833  ; ncsj2(7)   = 905 
+            ncsir(7,1) = 1    ; ncsjr(7,1) = 1 
+            ! 
+            ncsnr(8)   = 1    ; ncstt(8)   = 0               ! Lake Erie
+            ncsi1(8)   = 816  ; ncsj1(8)   = 871             
+            ncsi2(8)   = 837  ; ncsj2(8)   = 881 
+            ncsir(8,1) = 1    ; ncsjr(8,1) = 1 
+            ! 
+            ncsnr(9)   = 1    ; ncstt(9)   = 0               ! Lake Ontario
+            ncsi1(9)   = 831  ; ncsj1(9)   = 882             
+            ncsi2(9)   = 847  ; ncsj2(9)   = 889 
+            ncsir(9,1) = 1    ; ncsjr(9,1) = 1 
+            ! 
+            ncsnr(10)   = 1    ; ncstt(10)   = 0               ! Lake Victoria  
+            ncsi1(10)   = 1274 ; ncsj1(10)   = 672 
+            ncsi2(10)   = 1289 ; ncsj2(10)   = 687 
+            ncsir(10,1) = 1    ; ncsjr(10,1) = 1 
             !
          END SELECT