Index: /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_DOM.tex
===================================================================
--- /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 6395)
+++ /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 6396)
@@ -887,8 +887,8 @@
 By default, misfdep(:,:)=1 and no cells are masked.
 
-In case of ice shelf cavities, modifications of the model bathymetry and ice shelf draft into 
-the cavities are performed in the \textit{zgr\_isf} routine. The compatibility between ice shelf draft and bathymetry is checked. 
-If only one cell on the water column is opened at $t$-, $u$- or $v$-points, the bathymetry or the ice shelf draft is dug to fit this constrain.
-If the incompatibility is too strong (need to dig more than 1 cell), the cell is masked.\\ 
+In case of ice shelf cavities (\np{ln\_isfcav}~=~true), modifications of the model bathymetry and ice shelf draft in 
+the cavities are performed through the \textit{zgr\_isf} routine. The compatibility between ice shelf draft and bathymetry is checked: 
+if only one cell on the water column is opened at $t$-, $u$- or $v$-points, the bathymetry or the ice shelf draft is dug to have a 2-level water column 
+(i.e. two unmasked levels). If the incompatibility is too strong (i.e. need to dig more than one cell), the entire water column is masked.\\ 
 
 From the \textit{mbathy} array, the mask fields are defined as follows:
Index: /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_DYN.tex
===================================================================
--- /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_DYN.tex	(revision 6395)
+++ /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_DYN.tex	(revision 6396)
@@ -655,14 +655,15 @@
 \label{DYN_hpg_isf}
 Beneath an ice shelf, the total pressure gradient is the sum of the pressure gradient due to the ice shelf load and
- the pressure gradient due to the ocean load. If cavity opened (\np{ln\_isfcav}~=~true) these 2 terms can be
- calculated by setting \np{ln\_dynhpg\_isf}~=~true. No other scheme are working with the ice shelf.\\
-
-$\bullet$ The main hypothesis to compute the ice shelf load is that the ice shelf is in an isostatic equilibrium.
- The top pressure is computed integrating from surface to the base of the ice shelf a reference density profile 
-(prescribed as density of a water at 34.4 PSU and -1.9$\degres C$) and corresponds to the water replaced by the ice shelf. 
-This top pressure is constant over time. A detailed description of this method is described in \citet{Losch2008}.\\
+ the pressure gradient due to the ocean load. If cavities are present (\np{ln\_isfcav}~=~true) these two terms can be
+ calculated by setting \np{ln\_dynhpg\_isf}~=~true. No other scheme is working with ice shelves.\\
+
+$\bullet$ The main hypothesis to compute the ice shelf load is that the ice shelf is in isostatic equilibrium.
+ The top pressure is computed integrating a reference density profile (prescribed as density of a water at 34.4 
+PSU and -1.9$\degres C$) from the sea surface to the ice shelf base, which corresponds to the load of the water
+column in which the ice shelf is floatting. This top pressure is constant over time. A detailed description of 
+this method is described in \citet{Losch2008}.\\
 
 $\bullet$ The ocean load is computed using the expression \eqref{Eq_dynhpg_sco} described in \ref{DYN_hpg_sco}. 
-A treatment of the partial cell for top and bottom similar to the one described in \ref{DYN_hpg_zps} is done 
+A treatment of the top and bottom partial cells similar to the one described in \ref{DYN_hpg_zps} is done 
 to reduce the residual circulation generated by the top partial cell. 
 
Index: /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_SBC.tex
===================================================================
--- /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_SBC.tex	(revision 6395)
+++ /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_SBC.tex	(revision 6396)
@@ -948,6 +948,19 @@
 \namdisplay{namsbc_isf}
 %--------------------------------------------------------------------------------------------------------
-Namelist variable in \ngn{namsbc}, \np{nn\_isf}, controls the ice shelf representation used. 
+Namelist variable in \ngn{namsbc}, \np{nn\_isf}, controls the ice shelf representation used (Fig. \ref{Fig_SBC_isf}): 
+
+%>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+\begin{figure}[!h]    \begin{center}
+\includegraphics[width=0.8\textwidth]{./TexFiles/Figures/Fig_SBC_isf.pdf}
+\caption{ \label{Fig_SBC_isf}
+Schematic for all the options available trough \np{nn\_isf}.}
+\end{center}   \end{figure}
+%>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+
 \begin{description}
+\item[\np{nn\_isf}~=~0]
+The ice shelf routines are not used. The ice shelf melting is not computed or prescribed, the cavity have to be closed. 
+If needed, the ice shelf melting should be added to the runoff or the precipitation file.
+
 \item[\np{nn\_isf}~=~1]
 The ice shelf cavity is represented. The fwf and heat flux are computed. Two different bulk formula are available:
@@ -1002,5 +1015,4 @@
 $\bullet$ \np{nn\_isf}~=~1 and \np{nn\_isf}~=~2 compute a melt rate based on the water mass properties, ocean velocities and depth.
  This flux is thus highly dependent of the model resolution (horizontal and vertical), realism of the water masses onto the shelf ...\\
-
 
 $\bullet$ \np{nn\_isf}~=~3 and \np{nn\_isf}~=~4 read the melt rate from a file. You have total control of the fwf forcing.